commit:     f0ee755098623c4e79d2f0ca5c48935a302690f3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  4 03:34:39 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar  4 03:42:59 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0ee7550

dev-python/python-tests: Bump to 3.12.13

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-tests/Manifest                   |  3 +
 .../python-tests/python-tests-3.12.13.ebuild       | 71 ++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-python/python-tests/Manifest b/dev-python/python-tests/Manifest
index d2b5cea0fb4d..978ac9005db4 100644
--- a/dev-python/python-tests/Manifest
+++ b/dev-python/python-tests/Manifest
@@ -4,6 +4,8 @@ DIST Python-3.11.15.tar.xz 20332596 BLAKE2B 
8be4dd30aff7a2615fd37754dc6ed1caede1
 DIST Python-3.11.15.tar.xz.asc 833 BLAKE2B 
dd4134701ef36d22c7bca8ea16794d3e85dc2a2b6323b2babfdeb2652ade1db8b7d4256cb68a40ee1c1a2b5885666e25791c1e4d6c044cc8d49f68693ec65887
 SHA512 
673822ca037acb521bf7d3e7433f83cc2d60c8d102cfbf6695234e2a50ce12a7003040ad4017438510ebbb1ff0ba6727253fae250b07bc0e3d24b5578e80be52
 DIST Python-3.12.12.tar.xz 20798712 BLAKE2B 
3ce140b5b2c5e3b055118c8595385c7d79582c64cd8dfe9dbd062f8e38a7a995bf51f7c61e1faa768bd36c315c3493d27cd81c7425c7416454f41f77431eac0f
 SHA512 
4b99d240dd96a6e154909dcffe87f8bb38193d634cd80a1c3d9e819b7a63af2afa46d5e6423e81f00dd388840dc29a4a71580f6aa1ce9a12e559c1d63f65a205
 DIST Python-3.12.12.tar.xz.asc 963 BLAKE2B 
243d7e8000768b562ff771ec8dd8fdc6be2bc36174a1f0f8b00038df2264c9d1c8a14913d07df2826fead822a16db18ef08b40d553f6a9bdc0ea39645d6d798a
 SHA512 
32c10fd427c6f9f11595493d1b4d4c3cade85bffd439fe11e8b0b2c619e06734097b6aaedfdb4fe035b7fdd7196714dba77cdc806923e4454d5bcf60056991a0
+DIST Python-3.12.13.tar.xz 20801708 BLAKE2B 
94b99c75e3aba1d1a953b5447f8ad6b7ebec921bc8cf32a9dfd449e574e4b7e2a010f0f267c31c859acec0092669203c71c90386c80203968126d9dbfb6ae85d
 SHA512 
e1eb66f0b34581f0155e3ce25ba72cf0b4b1107672ed0ad3e86bcfe616945c9204c41ffc492f32b1066b9154913ff88343038967ad8711dd05e6f2332fdb735b
+DIST Python-3.12.13.tar.xz.asc 963 BLAKE2B 
e6bc572fd207fe203cf8018bca89777c7033e46d25cc598b5715658f556d26b6f3b1652f13518850ad62a37254ab4ecf5f770197cb847306ffef96b747840e88
 SHA512 
903fd3baa7e29891bb00fb159ec9c43804a71002c4cd38902d25bf4e5167f856b37d211a5b1098ee60e1ea41f8a10a1596dd2382edc6d7367d55dd4154807fc7
 DIST Python-3.13.11.tar.xz 22704352 BLAKE2B 
6c9c4dddcda36a0210155b759c01101b0429b17622d76a50881533b454335298e9f71ba300710afea2039425a08e4e1ea7eab27a18dc871950c3a32ad93ce663
 SHA512 
11a910785bb3edeb3888331f29d2514d539f08b07d3125186364ab0e261dab29c7e7c70fe08d89718c38b6053cbe932ac4a6062ac291871e6f4173d29425264a
 DIST Python-3.13.11.tar.xz.asc 963 BLAKE2B 
a6e21908f8161ed014455a609004b9bce461cae61f1b3b26d56c2582e01134f7adb1634c12dc99a8c3a290564a42e5b1bdbec6cb6faaf3ea41245e8a2e17ed1c
 SHA512 
10beaba6d0e84f0335c0add480114e98a64133ec70d320593349de86091ccbdd69743559297f9c8c5e9926089890fd0e7881388e86084f46a413e9579c59d23c
 DIST Python-3.13.12.tar.xz 22926488 BLAKE2B 
a744a81e39e4897abcaf11d6186c106d703c668ca41beefc8d56003d3b37b84a64284f0e9ca9dcc26a6b7ac6faf495b98e5172159ff91e8c01d52993cdc354b7
 SHA512 
5edecdf13999d8629f31543dffdcba521dbb5633577e481ee49275e377509a2f6d700624c26f95b57a8ff9501378d10d7c07c1d0e7e19be0d6c88f05b6315a13
@@ -21,6 +23,7 @@ DIST python-gentoo-patches-3.11.14.tar.xz 15968 BLAKE2B 
5bd091046feee03afd59a87b
 DIST python-gentoo-patches-3.11.15.tar.xz 15988 BLAKE2B 
16e98450749ebd1c617acbb9aba380fff50a8f7dba19f3f99edd3bd387c1a5d61d78cbf493cf003dfe03d2be59374ad89077b39fe203059bbbb881ae02a72ea5
 SHA512 
b705c72a585e315eb3ba69ffbf2a80836f0fc894fa8ae2c22768e6aa8ac2a23aada5def3d2635193793f58e3da81f0f10281c47bd8e129e1fd2c9167d292265b
 DIST python-gentoo-patches-3.12.10.tar.xz 10744 BLAKE2B 
2abf4874018156d6735cf8604c410dc4726ac9365bc7500abe6b82472aad100aac7268957256692f4275b02965773e58178519ed8038e121f1ffa3c53770d238
 SHA512 
62066405aa00f46f9645e9c747d53bb93bf510fc791d14d49e00edfd79981778e6c8e07bfa7bac88d76407a0ffd8f7321dea89f81d90b01dbf13f4d381b6a1a3
 DIST python-gentoo-patches-3.12.12.tar.xz 12012 BLAKE2B 
4a030f976e73160f74dd760a8cac55a5889bf821e998b717962aac8b79780c314dfbabf93a6919daa75565c3ef31dcf6af87f3ec6768db0ff02154c4c112ab08
 SHA512 
d5ee32b93fb4a1910a8e3aa0486ae284885c05bd03ada3540f4990b4f12c837cd154e76511db663542dde74d652c3d1d279098319dcc991e7195e8db5befea12
+DIST python-gentoo-patches-3.12.13.tar.xz 12084 BLAKE2B 
598ea3d4a395a99d7b78fb592b486efc0af0625309a044442b1eaa81761621110a2de16abff09840426a53b35c0f848531b2e272cb80b970319bf55585603087
 SHA512 
26ecf8065cc71ad36c1ce43727f8eec4b0b660c99ed0612c807b99f069851d71b0517da48187464b90bffccc4278cee462166f8972c405bb07d70751f0e2d499
 DIST python-gentoo-patches-3.13.11.tar.xz 8948 BLAKE2B 
bb6402400f931fed5d0fa2530f816ba78d7f6aff766e72692884a391929df76cedcc9a9b7a709d8ebffb38fe9256dd78a2b668d49951e07bf61a5388bce49b34
 SHA512 
f184a682a888a8781aa1a4eb3983d5861d4eec2d0c0729ab95f867aa4a901c65865cc429e9b871c62d5d113509c3f621c7c81d7c7e4600b8a712a8ec256270a9
 DIST python-gentoo-patches-3.13.12.tar.xz 8992 BLAKE2B 
e7a26ddbd76f337a0f3958e55d6f77864308d3db5b5b8bec36aa50c1845d28284c6d0ce4c847eb0ca2a51367baaf454be9c62bc1932ffdff5a4ee06c9701c3b4
 SHA512 
ef87942f8d1d145112b2275d1fce9f6faea19c37ed3e37fd8762f4470ecaa1d87f5a471f287d3e1bf7507af351894c15872ceea0ea41d4903707c12d4cf0c4d0
 DIST python-gentoo-patches-3.13.3.tar.xz 8336 BLAKE2B 
66393886fbd034eb14732e4f81f5798e77650ea3fe1c4f8176bd93808b711c8977a53c3f52be6c9b97a368299258b851d9bdb6d4c8e0c75695c6aea784d48b44
 SHA512 
c1ed31d6aaef81addf786c2ccc1013309b122b791c42fe10e467a677d0db8f149e8b1cc21928c146298918c7ceb851b4b19d1e59f491cb161004e1c9386db289

diff --git a/dev-python/python-tests/python-tests-3.12.13.ebuild 
b/dev-python/python-tests/python-tests-3.12.13.ebuild
new file mode 100644
index 000000000000..663fb41e6d70
--- /dev/null
+++ b/dev-python/python-tests/python-tests-3.12.13.ebuild
@@ -0,0 +1,71 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_12 )
+
+inherit python-r1 verify-sig
+
+MY_PV=${PV}
+MY_P="Python-${MY_PV%_p*}"
+PYVER=$(ver_cut 1-2)
+PATCHSET="python-gentoo-patches-${MY_PV}"
+
+DESCRIPTION="Test modules from dev-lang/python"
+HOMEPAGE="
+       https://www.python.org/
+       https://github.com/python/cpython/
+"
+SRC_URI="
+       https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz
+       https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz
+       verify-sig? (
+               https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz.asc
+       )
+"
+S="${WORKDIR}/${MY_P}/Lib"
+
+LICENSE="PSF-2"
+SLOT="${PYVER}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+# enable by default to help CI handle it (we have no additional deps)
+IUSE="+python_targets_${PYTHON_COMPAT[0]}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       ~dev-lang/python-${PV}:${PYVER}
+       !<dev-lang/python-3.12.5_p1-r1:${PYVER}
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+       verify-sig? ( >=sec-keys/openpgp-keys-python-20221025 )
+"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/python.org.asc
+
+src_unpack() {
+       if use verify-sig; then
+               verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.xz{,.asc}
+       fi
+       default
+}
+
+src_prepare() {
+       local PATCHES=(
+               "${WORKDIR}/${PATCHSET}"
+       )
+
+       cd .. || die
+       default
+}
+
+src_install() {
+       python_setup
+       # keep in sync with TESTSUBDIRS in Makefile.pre.in
+       python_moduleinto "/usr/lib/python${PYVER}"
+       python_domodule test
+       python_moduleinto "/usr/lib/python${PYVER}/idlelib"
+       python_domodule idlelib/idle_test
+}

Reply via email to